Bug 147171 - WISH: Select the text in the title of new pages
Summary: WISH: Select the text in the title of new pages
Status: RESOLVED FIXED
Alias: None
Product: kjots
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: Compiled Sources Linux
: NOR wishlist (vote)
Target Milestone: ---
Assignee: Stephen Kelly
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-06-24 17:36 UTC by Stephen Kelly
Modified: 2008-07-03 02:11 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
Patch to implement wish. (996 bytes, patch)
2007-06-24 17:38 UTC, Stephen Kelly
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Stephen Kelly 2007-06-24 17:36:45 UTC
Version:           svn (using KDE Devel)
Installed from:    Compiled sources
OS:                Linux

Instead of using a dialog for the user to input names of new pages, select the title of the page, so that 'Page 1' etc is ready to be overwritten.

Similar could be done for books.

Patch attached.
Comment 1 Stephen Kelly 2007-06-24 17:38:14 UTC
Created attachment 20941 [details]
Patch to implement wish.
Comment 2 Stephen Kelly 2008-05-13 22:03:18 UTC
Wow, my first attempt at a patch.

Needs to be rewritten. The itemChanged signal is only emitted when the user actually changes the text, but not when she presses enter without changing the text.

Needs a delegate to implement apparently. Might be fixed in KDE 4.2.
Comment 3 Stephen Kelly 2008-07-03 02:11:29 UTC
SVN commit 827447 by skelly:

Select the text of newly created pages ready for editing.

This closes the first bug I tried to patch myself a year ago. :)

BUG: 147171



 M  +23 -2     kjotscomponent.cpp  
 M  +1 -0      kjotscomponent.h  


WebSVN link: http://websvn.kde.org/?view=rev&revision=827447